## 1.0.0+
- dropped, shouldn't be used

## 2.0.0 - 2.0.0+2
- add thin `Array` wrapper to manage view into contiguous memory
- add `Arena` class for arena allocation
- add `SharedArray` for shared (reference counted) memory

## 2.0.1
- fix subclassing problem of `Array`

## 2.1.0
- `Array` gets a `delete()` method (just sugar for `free(array.ptr)`)

## 3.0.0-beta
- use extensions instead of inheritance (otherwise an `Array<Uint8>` couldn't be passed as an `Uint8Array`) 
- use only `NativeType` as as generic type parameter, which is much less verbose

## 3.1.0-beta
- Array.fromList() accepts all Iterable<int> instead of only List<int>
- Arena also takes a `GetView` function like `Array` as constructor argument
- Arena now produces `ArrayView`s when calling `newArray()`
- Work on extensibility, meta annotation and documentation
- export utility functions in library `utils`

## Todo
- more testing (?)
- more extensions (as for now, there are only extensions for `Array<Uint8>` as this would be the most common type)